import { DynamicModule, OnApplicationShutdown } from '@nestjs/common';
import { TypeMongoDBModuleAsyncOptions, TypeMongoDBModuleOptions } from './type-mongodb.interfaces';
export declare class TypeMongoDBCoreModule implements OnApplicationShutdown {
    private readonly logger;
    onApplicationShutdown(): Promise<void>;
    static register(connectionName: string, options: TypeMongoDBModuleOptions): DynamicModule;
    static registerAsync(connectionName: string, options: TypeMongoDBModuleAsyncOptions): DynamicModule;
    private static createDocumentManagerOptionsProvider;
    private static createDocumentManagerProvider;
    private static createAsyncDocumentManagerProviders;
    private static createAsyncDocumentManagerOptionsProvider;
}
//# sourceMappingURL=type-mongodb-core.module.d.ts.map